[**Headlamp Sealed Secrets API v0.2.0**](../../../README.md)

***

[Headlamp Sealed Secrets API](../../../README.md) / [lib/retry](../README.md) / isNetworkError

# Function: isNetworkError()

> **isNetworkError**(`error`): `boolean`

Defined in: [src/lib/retry.ts:147](https://github.com/privilegedescalation/headlamp-sealed-secrets-plugin/blob/bdf19cd3bf5a2d679b7ba949108fe9df1843c5f4/headlamp-sealed-secrets/src/lib/retry.ts#L147)

Predicate to check if error is a network error (retryable)

## Parameters

### error

`Error`

Error to check

## Returns

`boolean`

true if error is network-related
